<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}                        
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){ $art_iva=$_POST['art_iva']; } else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=mb_strtoupper($_POST['nombre']);}
if (isset($_POST['tipo'])){ $tipo=$_POST['tipo'];}
if (isset($_POST['cambio'])){ $cambio=$_POST['cambio'];}
if (isset($_POST['com_id'])){ $com_id=$_POST['com_id'];}

if ($tipo=='articulo' and !empty($cantidad))
{
    $atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
    $atri1 = mysqli_fetch_array($atri1);
    $atributo1=$atri1['atributo1'];

    $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
    $atri11 = mysqli_fetch_array($atri11);
    if (isset($atri11)) 
    {                    
        $atri_nombre=$atri11['atri_nombre'];
    }
    else
    {
        $atri_nombre='';
    }

    $atributo2=$atri1['atributo2'];
    $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
    $atri2 = mysqli_fetch_array($atri2);
    if (isset($atri2)) 
    {                    
        $atri_nombre2=' - '.$atri2['atri_nombre2'];
    }
    else
    {
        $atri_nombre2='';
    }

    $atributos=$atri_nombre .$atri_nombre2;

    if ($cambio=='ven') {
        $precio_venta1=$precio_venta;
    }
    else
    {
        $precio_venta1=1;
    }


    $sqll=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp WHERE art_id_bod='$art_id_bod' and cott_art_id='$art_id'  and cambio='$cambio' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='articulo'");
    if($dato=mysqli_fetch_array($sqll))
    { 
        $cott_id=$dato['cott_id'];            
        $cott_cantidad=$dato['cott_cantidad'];
        $suma=$cott_cantidad+$cantidad;
        
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle_temp Set cott_cantidad='$suma',cott_precio='$precio_venta1' Where cott_id='$cott_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='articulo'") or die(mysqli_error($con));
    }
    else
    {   
        $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
        $dato2=mysqli_fetch_array($can2);
        $pres_unidad=$dato2['pres_unidad'];

        $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (art_id_bod,cott_art_id,cott_referencia,cott_nombre,cott_unidad,cott_x_cantidad,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,cambio,empresa) 
        VALUES ('$art_id_bod','$art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta1','articulo','$usu_id','$cambio','$empresa')") or die(mysqli_error($con));

    }  
}


if ($tipo=='servicio')
{
    $sqll=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp WHERE cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado'");
    if($dato1=mysqli_fetch_array($sqll))
    { 
        $cott_id=$dato1['cott_id'];            
        $cott_cantidad=$dato1['cott_cantidad'];
        $suma=$cott_cantidad+$cantidad;
        
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle_temp Set cott_cantidad='$suma',cott_precio='$precio_venta' Where cott_id='$cott_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='detallado'") or die(mysqli_error($con));
    }
    else
    {   
        $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle_temp (art_id_bod,cott_art_id,cott_referencia,cott_nombre,cott_unidad,cott_x_cantidad,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,cambio,empresa) 
        VALUES ('0','$art_id','$art_referencia','$nombre','UND','1','$cantidad','$art_iva','$descuento','$precio_venta','servicio','$usu_id','ven','$empresa')") or die(mysqli_error($con));

    }  ?>
<script>
     loadTabla();
</script>
<?php }

?>
<link href="css/checkbox.css" rel="stylesheet" media="all"> 